Subject: Re:

From: Daniel Khodabakhsh <[email-masked]>
Date: Fri, 27 Dec 2024 23:58:50 +0000

The rationale of this patch are the following reasons:

1. Since (json) is a dependency of guix, there's no need to roll out
own (guix build json) which does the same thing.
2. (guix build json)'s write-json escapes forward slashes in strings
for some reason ("/" become "\/")
3. (guix build json)'s read-json produces an awkward to use structure
similar to an association list but with '@' to indicate an object, and
arrays are just lists. (json)'s json->scm produces a regular guile
association list for objects and uses #(...) for lists. Overall this
difference leads to easier to read and maintain code as can be seen in
the patch. No longer need to match '@' for example, we can use the
regular association list procedures directly.